Como usar o apt-get em versões antigas do Ubuntu

Publicado por Thiago Henrique Hüpner em 06/08/2014

[ Hits: 18.190 ]

 


Como usar o apt-get em versões antigas do Ubuntu



Olá, galera.

Isso é para vocês que querem continuar com a sua versão do Ubuntu sem abrir mão de poder instalar programas pelo apt-get e pela Central de Programas.

* Atenção: querer usar o GNU/Linux sem suporte, é como tomar remédio vencido e querer ficar curado; pode até dar certo mas não é seguro e nem recomendado.

O Ubuntu tem duas versões: Regulares e LTS.

Se não deseja aborrecimentos, só instale versões LTS do Ubuntu (12.04, 14.04, 16.04,...).
"As versões regulares do Ubuntu recebem atualizações e correções durante um período de 9 meses. Como uma opção para quem quer mais estabilidade e a opção de manter o sistema por mais tempo, existem as versões LTS (Long Term Support), que recebem atualizações por um período de 5 anos. Elas são as versões recomendáveis para estações de trabalho e para uso em empresas. As versões LTS são montadas dentro de um controle de qualidade mais estrito e passam por um período de testes mais longo, resultando em versões mais estáveis".
Fonte: O Ubuntu - Entendendo o Linux

Então, vamos à dica:

1. Primeiramente, abra seu editor de texto preferido pelo terminal, no meu caso é o GEdit, então, ficaria assim:

sudo gedit /etc/apt/sources.list   # Podendo ser o Vi, Nano, etc.

2. Digite sua senha.
Guarde apenas a palavra que vem depois do /ubuntu/ (no caso, seria o codinome da distribuição).

3. E cole isso no lugar do conteúdo original:

## EOL upgrade sources.list
# Required
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-security main restricted universe multiverse

# Optional
#deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-backports main restricted universe multiverse

4. Após isso, troque a palavra CODENAME pelo codinome da sua distribuição. Caso a minha versão fosse a 13.04, ficaria assim:

## EOL upgrade sources.list
# Required
deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ raring-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ raring-security main restricted universe multiverse

# Optional
#deb http://old-releases.ubuntu.com/ubuntu/ raring-backports main restricted universe multiverse

5. Após fazer o processo acima, no terminal digite:

sudo apt-get update

Pronto, agora seu sistema já está apto para instalar os aplicativos.

Caso deseje atualizar todos os pacotes para a última versão, digite:

sudo apt-get upgrade

Mas o melhor método é atualizar o Ubuntu desse método (Obs.: a pasta " / " e /home devem estar separadas):

Abaixo, lista de alguns codinomes

  • Ubuntu 4.10 = warty
  • Ubuntu 5.04 = hoary
  • Ubuntu 5.10 = breezy
  • Ubuntu 6.06 LTS = dapper
  • Ubuntu 6.10 = edgy
  • Ubuntu 7.04 = feisty
  • Ubuntu 7.10 = gutsy
  • Ubuntu 8.04 LTS = hardy
  • Ubuntu 8.10 = intrepid
  • Ubuntu 9.04 = jaunty
  • Ubuntu 9.10 = karmic
  • Ubuntu 10.04 LTS = lucid
  • Ubuntu 10.10 = maverick
  • Ubuntu 11.04 = natty
  • Ubuntu 11.10 = oneiric
  • Ubuntu 12.04 LTS [Ainda tem suporte] = precise
  • Ubuntu 12.10 = quantal
  • Ubuntu 13.04 = raring
  • Ubuntu 13.10 = saucy
  • Ubuntu 14.04 LTS [Ainda tem suporte] = trusty
  • Ubuntu 14.10 = utopic
Outras dicas deste autor

Equação de 2° Grau Shell Script - Zenity

Como criar um diretório em C/C++

Matrix no terminal Linux

Tecle: "Ctrl+Alt+Del" e abra o monitor do sistema Ubuntu

Instalar o Unity 3D Web Player no Linux

Leitura recomendada

Disco virtual do GMail pelo Firefox

Instalando o flash-player no Debian 6.0

IPtables - Bloqueando o MSN

Corrigindo sistema de fontes de texto da Wikipédia no Debian

Flash Player no Google Chrome

  

Comentários
[1] Comentário enviado por Thihup em 06/08/2014 - 00:30h

Segue Alguns Codinames :

Ubuntu 4.10 = warty
Ubuntu 5.04 = hoary
Ubuntu 5.10 = breezy
Ubuntu 6.06 LTS = dapper
Ubuntu 6.10 = edgy
Ubuntu 7.04 = feisty
Ubuntu 7.10 = gutsy
Ubuntu 8.04 LTS = hardy
Ubuntu 8.10 = intrepid
Ubuntu 9.04 = jaunty
Ubuntu 9.10 = karmic
Ubuntu 10.04 LTS = lucid
Ubuntu 10.10 = maverick
Ubuntu 11.04 = natty
Ubuntu 11.10 = oneiric
Ubuntu 12.04 LTS [Ainda tem suporte] = precise
Ubuntu 12.10 = quantal
Ubuntu 13.04 = raring
Ubuntu 13.10 = saucy
Ubuntu 14.04 LTS [Ainda tem suporte] = trusty

[2] Comentário enviado por clodoaldops em 06/08/2014 - 08:04h

- a partir do RR-13.04 as versões não-lts tem suporte por apenas 9 meses e que as versões LTS tem suporte por 5 anos.
-o SS-13.10 teve suporte encerrado em julho/2014
-resumindo: "Se não deseja aborrecimentos, só instale versões LTS do Ubuntu (12.04, 14.04, 16.04,...)"
-gostei da dica: vou ressuscitar o 9.10 que tenho um cd original da canonical!

[3] Comentário enviado por Thihup em 06/08/2014 - 08:47h


[2] Comentário enviado por clodoaldops em 06/08/2014 - 08:04h:

- a partir do RR-13.04 as versões não-lts tem suporte por apenas 9 meses e que as versões LTS tem suporte por 5 anos.
-o SS-13.10 teve suporte encerrado em julho/2014
-resumindo: "Se não deseja aborrecimentos, só instale versões LTS do Ubuntu (12.04, 14.04, 16.04,...)"
-gostei da dica: vou ressuscitar o 9.10 que tenho um cd original da canonical!


Valeu pelo comentario!

O que é SS-13.10 ?

Aonde voce comprou o cd do Ubuntu 9.10 ?

Por Enquanto estou usando o Ubuntu 11.04 e nao tenho problemas,mas instale todas as atualizaçoes disponiveis para ficar mais estavel

T+

[4] Comentário enviado por clodoaldops em 06/08/2014 - 22:22h

SS... Saucy Salamander para os íntimos ...kkkk
Não comprei.. Antes a Canonical enviava CD grátis , bastava mandar email para eles

[5] Comentário enviado por izaias em 06/08/2014 - 23:38h


[4] Comentário enviado por clodoaldops em 06/08/2014 - 22:22h:

...
Não comprei.. Antes a Canonical enviava CD grátis , bastava mandar email para eles


Bons tempos!

[6] Comentário enviado por clodoaldops em 07/08/2014 - 00:20h

Izaias, só os dinossauros tem CD da Canonical!
Kkkkkk

[7] Comentário enviado por izaias em 07/08/2014 - 01:02h

O meu 9.10 comprei na banca de jornal a cem anos atrás.
Mas o 10.04 veio da Africa do Sul, Canonical!!!

* A Canonical fica na Africa do Sul?
Esqueci. :)
-----

Verificado, a Canonical fica na Ilha de Man: http://pt.wikipedia.org/wiki/Canonical_Ltd
Não é porque seu dono é sul-africano, que ele tem que morar lá. :)

[8] Comentário enviado por clodoaldops em 07/08/2014 - 12:56h

Testei sua dica no KK-9.10 e está funcionando!
Parabéns!!!
http://www.vivaolinux.com.br/screenshot/Gnome-Old-Release-910/

[9] Comentário enviado por lcavalheiro em 07/08/2014 - 13:33h


[6] Comentário enviado por clodoaldops em 07/08/2014 - 00:20h:

Izaias, só os dinossauros tem CD da Canonical!
Kkkkkk


Eu não tenho CD da Canonical, mas eu devo ter em algum lugar o meu CD do Slack 3.0 direto da saudosa Walnut Creek. Qualifico pra dino?

[10] Comentário enviado por albfneto em 07/08/2014 - 17:33h

Cavalheiro! rsrsrsr não precisamos qualificar para Dino! rsrsrs
quando a gente começou a usar Computadores, os Dinossauros andavam sôbre a Terra! rsrsrsrsrr
ou estavam extintos a pouco tempo! rrsrsssrrs

[11] Comentário enviado por Thihup em 08/08/2014 - 08:24h


[8] Comentário enviado por clodoaldops em 07/08/2014 - 12:56h:

Testei sua dica no KK-9.10 e está funcionando!
Parabéns!!!
http://www.vivaolinux.com.br/screenshot/Gnome-Old-Release-910/


Valeu !

E boa sorte com o KK 9.10


Enjoy and Have Fun !

[12] Comentário enviado por erisrjr em 06/05/2015 - 17:15h

Eita que estou ficando velho!
Eu tenho ainda o do 5.10 que me enviaram, junto com adesivos do Ubuntu. As daqui se não me engano vinham de Rotterdam (Holanda). Lembro da cara de desconfiado do carteiro que me entregou na época(Cidade pequena...).
Naquele tempo eles enviavam até em grande quantidade (Um professor no curso, recebeu uma caixa do 5.04 para distribuir).

Quanto a dica é útil, embora usar um sistema sem atualizações de segurança seja ruim. Eu conheço muita gente que infelizmente configura um servidor e "esquece" em um canto, então para um suporte posterior é sempre bem vindo (Eu costumava apenas baixar o que precisava via wget, instalar e recomendar a atualização Urgente para uma versão com suporte).

------------------------------------------------------
¿? -> keyboard Error: No Keyboard Present, PRESS F1 to continue.

[13] Comentário enviado por erisrjr em 25/01/2016 - 14:29h

@hihup atualizando sua lista:

*Se permitir, posso adicionar sua lista, no final da dica, para facilitar a visualização.

Ubuntu 4.10 = warty
Ubuntu 5.04 = hoary
Ubuntu 5.10 = breezy
Ubuntu 6.06 LTS = dapper
Ubuntu 6.10 = edgy
Ubuntu 7.04 = feisty
Ubuntu 7.10 = gutsy
Ubuntu 8.04 LTS = hardy
Ubuntu 8.10 = intrepid
Ubuntu 9.04 = jaunty
Ubuntu 9.10 = karmic
Ubuntu 10.04 LTS = lucid
Ubuntu 10.10 = maverick
Ubuntu 11.04 = natty
Ubuntu 11.10 = oneiric
Ubuntu 12.04 LTS [Ainda tem suporte] = precise
Ubuntu 12.10 = quantal
Ubuntu 13.04 = raring
Ubuntu 13.10 = saucy
Ubuntu 14.04 LTS [Ainda tem suporte] = trusty
Ubuntu 14.10 = utopic


[14] Comentário enviado por Thihup em 25/01/2016 - 19:53h

Olá!

Pode sim, se quiser amigo. E se quiser manter ela atualizada, fique a vontade!

Mas não esqueça de colocar o 15.04, o 15.10 e o tão esperado 16.04!

[]'s

T+

--

Att,

Thiago Henrique Hüpner

(Mensagem scaneada pelo antivírus........ops! não precisa, afinal eu uso Linux!)

[15] Comentário enviado por erisrjr em 25/01/2016 - 20:03h


[14] Comentário enviado por Thihup em 25/01/2016 - 19:53h

Olá!

Pode sim, se quiser amigo. E se quiser manter ela atualizada, fique a vontade!

Mas não esqueça de colocar o 15.04, o 15.10 e o tão esperado 16.04!

[]'s

T+

--

Att,

Thiago Henrique Hüpner

(Mensagem scaneada pelo antivírus........ops! não precisa, afinal eu uso Linux!)


Ola Thiago.

Vou adicionar na dica, mas não posso me comprometer em mantela atualizada.
Na verdade postei a lista, pois sua dica foi útil(Entre outros), para este tópico:
https://www.vivaolinux.com.br/topico/Perguntas-Frequentes/Conexao-16

*Obrigado pela contribuição.

[16] Comentário enviado por Thihup em 25/01/2016 - 20:14h

Valeu por atualizar!

o/

[]'s

T+

--

Att,

Thiago Henrique Hüpner

(Mensagem scaneada pelo antivírus........ops! não precisa, afinal eu uso Linux!)



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts